Name:           brutalchess
Version:        0.5.2
Release:        1%{?dist}
Summary:        Impressive 3D chess game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://sourceforge.net/projects/brutalchess/
# http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz will point to this file:
Source0:        %{name}-alpha-%{version}-src.tar.gz
Source1:        %{name}.desktop
# Without this patch, the package doesn't build at all
Patch0:         %{name}-make-it-work.patch

BuildRequires: pkgconfig(gl), pkgconfig(glu), pkgconfig(sdl), pkgconfig(SDL_image)
BuildRequires: pkgconfig(x11), pkgconfig(xext), pkgconfig(xau), pkgconfig(xext)
BuildRequires: pkgconfig(freetype2), desktop-file-utils

%description 
Brutal Chess features full 3D graphics, an advanced
particle engine, and several different levels of
intelligent AI, inspired by the once popular "Battle Chess"
released by Interplay circa 1988.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Desktop files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

%files
%defattr(-,root,root,-)
%{_bindir}/brutalchess
%{_libexecdir}/md3view
%{_libexecdir}/objview
%{_datadir}/applications/fedora-brutalchess.desktop
%{_datadir}/brutalchess/art/brutalchesslogo.png
%{_datadir}/brutalchess/art/marblehugeblack.png
%{_datadir}/brutalchess/art/marblehugewhite.png
%{_datadir}/brutalchess/doc/AUTHORS
%{_datadir}/brutalchess/doc/COPYING
%{_datadir}/brutalchess/doc/ChangeLog
%{_datadir}/brutalchess/doc/INSTALL
%{_datadir}/brutalchess/doc/NEWS
%{_datadir}/brutalchess/doc/README
%{_datadir}/brutalchess/fonts/COOLVETI.TTF
%{_datadir}/brutalchess/fonts/Ghostwri.ttf
%{_datadir}/brutalchess/fonts/VeraMono.ttf
%{_datadir}/brutalchess/fonts/ZEROES__.TTF
%{_datadir}/brutalchess/models/bishop.obj
%{_datadir}/brutalchess/models/debug.obj
%{_datadir}/brutalchess/models/king.obj
%{_datadir}/brutalchess/models/knight.obj
%{_datadir}/brutalchess/models/pawn.obj
%{_datadir}/brutalchess/models/queen.obj
%{_datadir}/brutalchess/models/rook.obj
%doc COPYING
%doc README
%doc NEWS

%changelog
* Sun May 3 2011 Timur Kristóf <venemo@fedoraproject.org> 0.5.2-1
- Initial version of the RPM package

